<?php

namespace Comitium5\DesignerBundle\Factory\Breakpoint;

use Comitium5\DesignerBundle\Factory\AbstractFactory;

/**
 * Class BreakpointFactory
 *
 * @author Oscar Jimenez <oscarjg19.developer@gmail.com>
 * @author Tomàs Sayes <tomas@bab-soft.com>
 * @package Comitium5\DesignerBundle\Factory\Breakpoint
 */
class BreakpointFactory extends AbstractFactory
{
	/**
	 * @return mixed
	 */
	public function create()
	{
		$classNamespace = $this->getEntityNamespace();

		$breakpoint = new $classNamespace();
		$breakpoint->setCreatedAt(new \DateTime());
        $breakpoint->setEnabled(true);

		return $breakpoint;
	}
}
